<script>
  import Logo from "$lib/components/Logo.svelte";
</script>

<section>
  <a href="/">
    <Logo />
  </a>

  <nav>
    <a href="/">About</a>
    <a href="/">Posts</a>
    <a href="/">Projects</a>
  </nav>
</section>

<style lang="scss">
  section {
    background-color: #222222;
    color: orange;
    padding: 5px;
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: space-around;

    nav > a {
      text-decoration: none;
      color: orange;
      transition: color 0.15s;

      &:hover {
        color: white;
      }
    }

    > a {
      display: flex;
      flex-direction: row;
      width: 200px;
    }

    > nav {
      flex-grow: 1;
      max-width: 600px;

      display: flex;
      flex-direction: row;
      justify-content: space-around;
      align-items: center;
      > a {
        margin: 15px;
        transition: color 0.15s;
        &:hover {
          color: white;
        }
      }
    }
  }
</style>
